Package: org.codehaus.groovy.macro.matcher.internal

## [Groovy] Class AnyTokenMatch

- org.codehaus.groovy.macro.matcher.internal.AnyTokenMatch

- All Implemented Interfaces and Traits:
    ConstraintPredicate<Token>

      @CompileStatic
      class AnyTokenMatch
      extends Object
      implements ConstraintPredicate<Token>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static AnyTokenMatch` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `apply(Token a)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final AnyTokenMatch INSTANCE

  - ### Method Detail

    - #### @Override
      boolean apply(Token a)